
Figure - Bug #111431
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110894 (New): AF-V1.0功能测试-屏保

【AF】【EVT】【屏保】【偶现】屏保启用时机时间超时后，设备不进入屏保模式
2022-08-24 15:25 - CD Test赵飞

Status: CLOSED Start date: 2022-08-24

Priority: Normal Due date: 2022-09-13

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220823.alpha_005

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220914.alpha

Reproducibility: Frequently Fixed Version: 2022-09-16

Test Type: IT Root cause: AOSP 原生逻辑，连续2次主动唤醒屏幕，下一次自动设置10分钟后灭屏

Description

【测试版本】

FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220823.alpha_005

【前提条件】

无

【测试步骤】

1、进入设置 - 显示 - 屏保

2、点击“启用进机”

3、任意选择一个时间，如"3分钟" 

4、不做任何操作，待机3分钟以上

【预期结果】

4、3分钟过后，设备自动进入屏保状态

【实际结果】

4、3分钟过后，屏幕没有进入屏保状态

【复现率】

8/10（设置其他启用时机后也存在此问题，重启设备后恢复）

【日志】

日志见附件

History

#1 - 2022-09-06 15:51 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD- FW-石豪

#2 - 2022-09-06 15:52 - CD FW-王伟

- Category set to CD-FW

#3 - 2022-09-06 16:47 - CD Test赵飞

- Due date set to 2022-09-13
#4 - 2022-09-14 17:52 - CD- FW-石豪

通过在0914的版本复现。

1、在PowerManagerService中isBeingKeptAwakeLocked中添加调试log，发现有wakelock导致屏幕无法进入休眠/屏保

2、通过dumpsys power 发现UndimDetectorWakeLock持有wakelock 未释放

SCREEN_BRIGHT_WAKE_LOCK        'UndimDetectorWakeLock' ON_AFTER_RELEASE ACQ=-7m55s884ms (uid=1000 pid=1015)

3、定位到ScreenUndimDetector类对wakelock进行了处理

09-14 15:46:29.770  1069  1069 D ScreenUndimDetector: User undim, counter=1 (required=2), timeElapsedSinceFirstUndim=1913493 (max=300000)

09-14 15:46:58.835  1069  1069 D ScreenUndimDetector: Screen policy transition: 3 -> 2

09-14 15:47:03.034  1069  1069 D ScreenUndimDetector: Screen policy transition: 2 -> 3

09-14 15:47:03.034  1069  1069 D ScreenUndimDetector: User undim, counter=2 (required=2), timeElapsedSinceFirstUndim=33265 (max=300000)

09-14 15:47:03.034  1069  1069 D ScreenUndimDetector: Resetting the undim detector

09-14 15:47:03.034  1069  1069 D ScreenUndimDetector: Acquiring a wake lock for 600000

调试日志看出ScreenUndimDetector的作用是：进入灭屏时后被手动唤醒，连续两次，这个时候就会触发唤醒保持的功能持续10分钟，这10分钟内将不会

灭屏，直到10分钟后。闲置待机的功能才会重新生效。

因此这是AOSP原生的逻辑，对比了android 12和android 13，这个android 13有此代码，android 12 r3并没有此代码。可以判定这应该是Android12 高版本上

新加的feature。

QA：这个逻辑是否默认关闭？或者维持现状？

#5 - 2022-09-14 19:34 - CD- FW-石豪

经过讨论目前方案：关闭此功能，默认关闭

#6 - 2022-09-15 12:05 - CD- FW-石豪

【根本原因】AOSP 原生逻辑，连续2次主动唤醒屏幕，下一次休眠将在10分钟之后

【修改方案】默认关闭该功能

【验证版本】01.00.X101_20220914_private_userdebug

【修复版本】0915日之后的版本

【gerrit link】https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/148714

#7 - 2022-09-15 12:12 - CD- FW-石豪

- Status changed from New to RESOLVED

- Assignee changed from CD- FW-石豪 to CD Test赵飞

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220914.alpha

- Fixed Version set to 2022-09-16

- Root cause set to AOSP 原生逻辑，连续2次主动唤醒屏幕，下一次自动设置10分钟后灭屏

#8 - 2022-09-16 15:13 - CD- FW-石豪

- Resolution changed from -- to FIXED

#9 - 2022-09-22 17:07 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED
验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220921.alpha

验证结果：PASS

#10 - 2022-09-22 17:07 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

#11 - 2022-12-22 20:32 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

148714 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:ScreenSaver:Disable keep screen on feature on ScreenUndimDetectorKeep screen on feature turned off by defaultTC-RID: 1201-0300601IssueID:

TS-R-DF-111431Change-Id: If0cbe37d2441b859d8a156fc8623574660e3ee17

Files

logcat.zip 3.45 MB 2022-08-24 CD Test赵飞
